• Documentation
  • API Reference
Information
Core APIs
    ASPSP Information Service
      Get ASPSP ListgetGet ASPSP DetailsgetGet Country ListgetGet Platform Statusget
    Consent Service
      Create ConsentpostGet ConsentgetDelete ConsentdeleteGet Consent StatusgetGet Consent AuthorisationsgetCreate Consent AuthorisationpostGet Consent Authorisation SCA StatusgetStart Consent Authorisationput
    Account Information Service (AIS)
      Get Account ListgetGet Account DetailsgetGet BalancesgetGet Transaction ListgetGet Transaction DetailsgetGet Card Account ListgetGet Card Account DetailsgetGet Card BalancesgetGet Card Transaction Listget
    Payment Initiation Service (PIS)
      Create PaymentpostGet PaymentgetCancel PaymentdeleteGet Payment StatusgetGet Payment AuthorisationsgetCreate Payment AuthorisationpostGet Payment Authorisation SCA StatusgetStart Payment AuthorisationputGet Payment Cancellation AuthorisationsgetCreate Payment Cancellation AuthorisationpostGet Payment Cancellation Authorisation SCA StatusgetStart Payment Cancellation AuthorisationputCreate Signing BasketpostGet Signing BasketgetDelete Signing BasketdeleteGet Signing Basket StatusgetCreate Signing Basket AuthorisationpostGet Signing Basket Authorisation SCA StatusgetStart Signing Basket AuthorisationputCreate FX QuotepostGet FX Quoteget
    KYC Service
      Create KYCpostGet KYC Statusget
Alternative APIs
    ISO Payments
      Create PaymentpostCreate Payment (Cross-Border)postGet PaymentgetConfirm Paymentput
    FX Connect
      Create FX QuotepostGet FX QuotegetConfirm Cross-Border Paymentput
Premium APIs
    Bankgiro Lookup
      Get Creditor NamegetGet Giro Numbersget
    Payout Service
      Create PayoutpostGet PayoutgetConfirm Payoutput
    Verification of Payee (VoP)
      Submit Verification RequestpostSubmit Bulk Verification Requestpost
    SEPA Direct Debit
      Create SEPA Direct Debit Payment (Beta)postGet PaymentgetConfirm Paymentput
Schemas
Open Payments API
Open Payments API

KYC Service

Server

KYC Service offers the following services:

  • Initiation of a KYC process to access our KYC webform
  • KYC status of a corporation

Create KYC

POST
https://api.openbankingplatform.com
/kyc/integration/v1/new/{PSU-Corporate-ID}

Enter the PSU-Corporate-ID of the company for which to initiate the KYC process. This generates a KYC webform URL valid for 24 hours. If more time is needed, generate a new URL. This webform guides the user through the whole KYC process. To check if the KYC was successful poll the KYC Service's /status endpoint.

Create KYC › path Parameters

PSU-Corporate-ID
​string · required

Corporate Client ID. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL.

Example: 123456-1234

Create KYC › query Parameters

countryCode
​string · pattern: [A-Z]{2} · required

ISO 3166 ALPHA2 country code

Example: SE

Create KYC › Headers

X-Request-ID
​string · uuid · required

ID of the request, unique to the call, as determined by the initiating party.

Create KYC › Responses

Created

StartNewKycInstanceResponse
kycUrl
​kycUrl · required
POST/kyc/integration/v1/new/{PSU-Corporate-ID}
curl 'https://api.openbankingplatform.com/kyc/integration/v1/new/:PSU-Corporate-ID?countryCode=<string>' \ --request POST \ --header 'X-Request-ID: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "kycUrl": "https://kyc.openbankingplatform.com/?instanceId=008b3d7e-ae80-4577-8ed9-36a2b2b0fa6d" }
json
application/json

Get KYC Status

GET
https://api.openbankingplatform.com
/kyc/integration/v1/status/{PSU-Corporate-ID}

Returns the KYC status of the company. If the kycStatus is Valid, the company is allowed to make payments. If the kycStatus is Invalid, a new KYC process can be initiated via the KYC Service's /new endpoint.

Get KYC Status › path Parameters

PSU-Corporate-ID
​string · required

Corporate Client ID. This is typically the unique Corporate ID in the local format. E.g. Org. nummer for SE, KVK for NL.

Example: 123456-1234

Get KYC Status › Headers

X-Request-ID
​string · uuid · required

ID of the request, unique to the call, as determined by the initiating party.

Get KYC Status › Responses

OK

getKycStatusResponse
psuCorporateId
​string
kycStatus
​kycStatus · enum
Enum values:
Valid
Invalid
Example: Invalid
kycValidUntil
​string | null
GET/kyc/integration/v1/status/{PSU-Corporate-ID}
curl https://api.openbankingplatform.com/kyc/integration/v1/status/:PSU-Corporate-ID \ --header 'X-Request-ID: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "psuCorporateId": "123456-1234", "kycStatus": "Valid", "kycValidUntil": "2024-09-06" }
json
application/json

Payment Initiation Service (PIS)ISO Payments